## renpy 8.3.4+dfsg

=== debian/changelog ===
renpy (8.3.4+dfsg-5) unstable; urgency=medium

  * Patch-out usage of python3-legacy-cgi

 -- Alexandre Detiste <tchet@debian.org>  Sun, 21 Sep 2025 16:57:54 +0200

renpy (8.3.4+dfsg-4) unstable; urgency=medium

  * Realy fix fonts-roboto -> fonts-robot-hinted breakage (Closes: #1111365)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Aug 2025 22:44:16 +0200

renpy (8.3.4+dfsg-3) unstable; urgency=high

  * Fix fonts-roboto -> fonts-robot-hinted breakage (Closes: #1111365)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 22 Aug 2025 20:37:37 +0200

renpy (8.3.4+dfsg-2) unstable; urgency=medium

  * Team upload
  * Depend on fonts-roboto instead of fonts-robot-hinted
    which was a transitional package that was removed today

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Apr 2025 19:07:15 -0400

renpy (8.3.4+dfsg-1) unstable; urgency=medium

  * New upstream version 8.3.4+dfsg
  * Add myself as Uploader

 -- Alexandre Detiste <tchet@debian.org>  Tue, 17 Dec 2024 22:05:47 +0100

renpy (8.3.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.3.3+dfsg
  * Add dependency on python3-legacy-cgi (Closes: #1084561)
  * Refresh patches, add one-line SyntaxWarning patch (Closes: #1087047)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Nov 2024 14:00:00 +0100
